﻿@model Tuple<PortalChartTypeView, List<System.Web.UI.WebControls.ListItem>, List<PortalChartColumnView>>

@for (int i = 0; i < Model.Item1.ChartColumnNumber; i++)
{
    @Html.DropDownList("PortalChartColumn" + (Model.Item3.Count > 0 ? Model.Item3[i].IdPortalColumn : i), new SelectList(
                                Model.Item2,
                                "Value",
                                "Text", (Model.Item3.Count > 0 ? Model.Item3[i].MappedFieldName : "")), new { @Id = "PortalChartColumn" + (Model.Item3.Count > 0 ? Model.Item3[i].IdPortalColumn : i), @class = "form-control" })
    <div class="clear" style="height: 10px !important"></div>
}
